@iKlsR

Getting Cycles to work with the GTX 970

In my previous post I looked at how to get up and running with the GTX 970 on ubuntu. Now we look at leveraging our newfound power to churn out "cool renders" using Cycles. There is an excellent canonical post on Blender.SE that has some information on how to get started and should work for most people. On windows this works out of the box but linux of course requires a bit more.. the steps are pretty straightforward however.

First, if you are using an old driver, it might be a good time to update. Next we want to grab the cuda binary from nvidia, don't use the recommended nvidia-cuda-toolkit install as this will pull in the default cuda 6.5 which doesn't work the 970, it will appear to be fine but when you try to render it will complain about compiling kernel modules. You instead need a special build that supports these cards. Go to nvidia's site and grab the 1.5GB deb file and wait.

Q: How does this release differ from the current CUDA 6.5 Release?

A: This toolkit contain support for the GeForce GTX980 and GTX970. No CUDA driver is included in this package. In addition, driver support for older generation GPUs with SM1.x has been deprecated.

Before I forget, make sure you have gcc installed as this is required to do the initial compilation later. We then install the deb with dpkg -i [filename]. Next run sudo apt-get update and finally sudo apt-get install cuda to install the toolkit. We also need to install nvidia-modprobe for Blender to detect your gpu, reboot. Now we install Blender, I compile from source but that is out of the scope of this writeup, you can get the latest ppa build of blender from https://launchpad.net/~thomas-schiex/+archive/ubuntu/blender. Open Blender and go to prefs, you should now have CUDA listed as a gpu compute option. Now take it for a test spin by rendering [Mike Pan's Cycles benchmark](http://blenderartists.org/forum/showthread.php?239480-2-7x-Cycles-benchmark-(Updated-BMW).